/* Product, prodcat, order styles */

:root{
    --contentWidth: calc(1300px);
}
.kupon{
    display: flex;
}
.osszesosszes{
    margin: 10px;
    text-align: right;
}
.vegleges{
    margin: 10px;
}
.totalPriceDiv{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}
.totalPriceDiv p{
    margin: 10px;
    width: 100%;
    text-align: right;
}
.viewPage, .listPage{
    width: var(--contentWidth);
    margin: 20px auto;
}
.oldalKat, .filters1SearchContainer{
    width: 260px;
    margin-right: 30px;
}
.oldalKat .mainUL{
    list-style: none;
    text-align: center;
}
.oldalKat .mainLI.title{
    color: #000;
    padding: 16px 20px;
    font-weight: bold;
    text-align: center;
}
.productFilterTitle{
    background-color: var(--color2);
    color: #fff;
    padding: 16px 20px;
    font-weight: bold;
}
.oldalKat .mainLI a{
    color: #000;
    padding: 10px 20px;
    display: block;
    transition: background-color 300ms;
    line-height: 25px;
    font-size: 18px;
    font-family: var(--font3);
}
.oldalKat .mainLI a:hover{
    background-color: #edf1fa;
}
.oldalKat form{
    position: relative;
}
.oldalKat form input[type=text]{
    border: 1px solid #d8dbe0;
    height: 45px;
    line-height: 45px;
    padding: 0 15px;
    width: 90%;
    box-sizing: border-box;
    font-family: var(--font3);
    position: relative;
}
.oldalKat form input[type=image]{
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translate(0, -50%);
}
.flex{
    display: flex;
}
.flex1{
    flex: 1;
}
.prodcatContainer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.prodcatContainer .catElem{
    width: 24%;
    margin-bottom: 2%;
}
.prodcatContainer .catElem img{
    width: 100%;
    height: auto;
}
.catElem h3{
    font-size: 18px;
    /*margin-top: 10px;
    margin-bottom: 10px;*/
}
.catElem .imageContainer{
    display: flex;
}
.catElem h3 a{
    color: #000;
    display: block;
    margin: 0;
    margin-top: 15px;
    font-family: var(--font1);
    font-weight: normal;
    text-align: center;
    text-transform: uppercase;
}
/*.catElem h3 a:hover{
    color: var(--colorAlterText);
}*/
.katText{
    margin-bottom: 25px;
    font-family: var(--font3);
    font-size: 18px;
}
.listPage .item h3{
    font-size: 26px;
}
.listPage .item .textContainer{
    padding: 20px 10px;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    box-sizing: border-box;
}
.webshopItems{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.webshopItems .item{
    width: 19%;
    border: 1px solid #f2f2f2;
    border-radius: 3px;
    margin-bottom: 2%;
}
.webshopItems .item img{
    width: 100%;
}
.webshopItems .item.placeholder{
    border: 0;
}
.webshopItems .productBlock{
    width: 32%;
    min-width: 32%;
    width: 19%;
    min-width: 19%;
    margin-bottom: 20px;
}
.webshopItems .productBlock img{
    width: 100%;
    display: flex;
}
.webshopItems .productBlock .details{
    padding: 10px;
    box-sizing: border-box;
}
.webshopItems .productBlock .price{
    margin-top: 10px;
    margin-bottom: 10px;
}
.webshopItems .productBlock .price .sale{
    /*font-size: 30px;
    color: #000;*/
}
.webshopItems .productBlock .price .old{
    text-decoration: line-through;
    color: #aaa;
    margin-left: 10px;
    font-size: 22px;
}
.webshopItems .productBlock h3{
    font-family: var(--font2);
    font-weight: normal;
}
.productBlock.productBlockTovabbi h3{
    margin-top: 15px;
    margin-bottom: 2px;
}
.productBlock.productBlockTovabbi .price,
.productBlock.productBlockTovabbi .price .old{
    text-align: center;
    display: flex;
    justify-content: center;
    font-size: 18px;
    font-family: var(--font3);
}
.productBlock.productBlockTovabbi .price .old{
    margin-right: 10px;
    text-decoration: line-through;
}
.webshopItems .item{
    width: 19%;
}
.productContainer{
    display: flex;
}
.cartTableContainer {
    width: 100%;
    text-align: left;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid var(--color2);    
    border-collapse: collapse;
}
.cartTableContainer td,
.cartTableContainer th{
    border: 1px solid var(--color2);    
}
.cartTableContainer p{
    color: var(--color1);
}
.cartTableContainer a{
    color: var(--color1);
    transition: color 300ms;
}
.orderCartButtons{
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
.orderCartButtons .button1{
    margin-top: 0;
}
.mennyiseg p{
    text-align: center;
}
/*.cartDelButton, .cartReCalcButton, .cartFolytatom, .cartMegvasarolom, .cartSzamol, td.mennyiseg a{
    padding: 10px 20px;
    cursor: pointer;
    box-sizing: border-box;
    font-size: 14px;
    line-height: normal;
    margin-left: 10px;
}*/
.cartDelButton, .cartReCalcButton, .cartFolytatom, .cartSzamol{
    background-color: transparent;
    border: 1px solid #ebebeb;
    border-radius: 50px;
    transition: border-color 300ms;
}
.cartReCalcButton:hover, .cartFolytatom:hover, .cartSzamol:hover{
    border-color: #655555;
}
.cartDelButton{
    color: red;
}
.cartDelButton:hover{
    border-color: red;
}
.cartReCalcButton, .cartFolytatom{
    color: #655555;
}
.cartMennyi{
    /*border-radius: 5px;
    border: 1px solid #ebebeb;
    padding-left: 10px;
    line-height: 30px;
    box-sizing: border-box;
    margin-bottom: 15px;*/
    border: 1px solid var(--color2);
    padding: 11px;
    box-sizing: border-box;
    margin-bottom: 10px;
}
td.termek{
    display: flex;
    align-items: center;
}
td.termek img{
    margin-right: 15px;
}
.cartTableHeader th{
    padding: 10px;
}
span.filterLabelUsed, span.filterLabelEmpty{
    font-size: 16px;
    line-height: 2em;
    margin-top: 10px;
    margin-bottom: 5px;
    display: block;
    color: var(--color1);
    padding-left: 10px;
    font-weight: bold;
    border: 1px solid #ebebeb;
    border-radius: 5px;
}
/*span.filterLabelUsed{
    background-color: #d9d0c7;
}
span.filterLabelEmpty{
    background-color: #cdd5d8;
}*/
.filters1SearchContainer label{
    line-height: 2em;
    position: relative;
}
.filters1SearchContainer input[type=checkbox]+label{
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.filters1SearchContainer input[type=checkbox]+label:before {
    content: "";
    display: inline-block;
    width: 17px;
    height: 17px;
    left: 0;
    margin-right: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
    background-color: #fff;
    margin-top: -2px;
}
.filters1SearchContainer input[type=checkbox]:checked+label::before {
    background-color: #cfd4d8;
    border-color: #cfd4d8;
}
.filters1SearchContainer label::after {
    display: inline-block;
    position: absolute;
    width: 16px;
    height: 16px;
    left: 0;
    top: 0;
    padding-left: 3px;
    padding-top: 0;
    line-height: 2em;
    color: #333;
    font-size: 16px;
}
.filters1SearchContainer input[type=checkbox]:checked+label:after{
    content: '✔'
}
.filters1SearchContainer input[type=checkbox]{
    display: none;
}
.filters1SearchContainer .form_checkboxes{
    display: flex;
    align-items: center;
}
.filters1SearchContainer .form_checkboxes input{
    margin-right: 8px;
}
.productBlock .desc{
    font-size: 22px;
    color: #a9a9a9;
    margin-bottom: 7px;
}
.orderForm form{
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
}
.orderForm .info{
    width: 100%;
}
.orderForm .info *{
    color: red;
}
.orderForm form > div{
    width: 30%;
}
.orderForm .fieldset_pls{
    font-size: 18px;
    color: var(--color1);
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 10px;
    margin-left: 0;
    padding-left: 0;
}
.orderForm input[type=text],
.orderForm input[type=email],
.orderForm input[type=tel],
.orderForm textarea,
.orderForm select,
.orderCheck .fakinput{
    border: 1px solid var(--color2);
    box-sizing: border-box;
    padding: 10px;
    margin-bottom: 15px;
    width: 100%;
    margin-top: 5px;
    font-family: 'Work Sans', sans-serif;
}
.fakinput{
    border: 1px solid var(--color2);
    padding: 10px;
    margin-right: 10px;
    margin-left: 10px;
}
.orderCheck .fakinput{
    margin-bottom: 0;
}
.orderForm textarea{
    resize: vertical;
    min-height: 100px;
    height: 100px;
    margin-bottom: 20px;
}
.orderCheck .checkData{
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}
.orderCheck .checkData p{
    color: var(--color1);
}
.orderCheck .mainButtons{
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
.orderCheck .mainButtons .button1{
    margin-top: 0;
}
.viewPage.productPage{
    width: var(--contentWidth);
}
.productPage .productTitle{
    font-family: var(--font2);
    font-size: 25px;
}
.productPage .price{
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
    justify-content: flex-end;
}
.priceVal{
    font-family: var(--font3);
    font-size: 48px;
}
.productPage .old{
    color: #ddd;
    font-family: var(--font3);
    font-size: 24px;
    margin-left: 20px;
}
.pagerContainer{
    margin-top: 30px;
}
.pagerContainer .back{
    color: var(--color2);
}
#cnt{
    border: 1px solid #ebebeb;
    border-radius: 5px;
    padding: 10px 10px;
    box-sizing: border-box;
    width: 70px;
}
.striketh{
    text-decoration: line-through;
}
.productDetails{
    margin-left: 30px;
    flex: 1;
}
.productDetails h2{
    font-family: var(--font1);
    color: #000;
    font-weight: normal;
}
.productDetailsData{
    display: flex;
    flex-wrap: wrap;
}
.productDetailsData > div{
    width: 50%;
    min-width: 50%;
    flex: 1;
    margin-bottom: 8px;
}
.productImageViewDesc{
    margin: 30px 0 10px 0;
}
.productViewDataVal.shorttext,
.productImageViewDescText p,
.productImageViewDesc p{
    font-size: 18px;
    font-weight: 400;
    color: #777;
    font-family: var(--font3);
    color: #606060;
}
.productImageViewDescText{
    max-width: 500px;
}
.productViewDataVal.shorttext{
    margin-top: 16px;
    margin-bottom: 0;
}
.productImageViewDescName{
    font-weight: bold;
    font-size: 18px;
}
.productDetailsData{
    border: 1px solid #ebebeb;
    overflow: hidden;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    padding: 20px;
    padding-bottom: 12px;
}
.filterFormContainer svg{
    display: none;
}
.productDetails hr{
    height: 1px;
    background-color: #ebebeb;
    margin: 20px 0
}
.productDetails .kategoria{
    /*padding: 20px 0;*/
    margin-bottom: 45px;
    font-family: var(--font3);
}
.productDetails .kategoria a{
    color: #323232;
    font-size: 16px;
    font-weight: 400;
    text-transform: none;
    transition: color 300ms;
}
.productDetails h4{
    font-weight: 600;
    font-size: 16px;
    display: inline-block;
}
.textmoreContainer{
    margin-top: 40px;
}
.textmoreTitle{
    font-size: 16px;
    text-align: left;
    text-transform: uppercase;
    font-weight: 400;
    margin-bottom: 20px;
    font-family: var(--font1);
    border-bottom: 1px solid #d8dbe0;
    padding-bottom: 14px;
}
.textmoreText p{
    font-size: 20px;
}
.webshopSearch{
    /*margin: 0 var(--gutter);*/
}
.webshopSearch .mainProducts{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.webshopSearch .productBlock{
    margin-bottom: 2%;
}
.button.light{
    /*background-color: #c5ac84;
    color: #fff;*/
}
.button.light:hover{
    /*background-color: #fff;
    color: var(--color2);*/
}

.mennyiseg div{
    
}

.mennyiseges{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    min-width: 250px;
    margin: 10px auto;
}
.mennyiseges .mennyi{
    width: 100px;
    margin-right: 0;
    border: 1px solid var(--color2);
    padding: 11px;
    box-sizing: border-box;
    /*margin-bottom: 10px;*/
}
.mennyiseges .szamol{
    width: 50%;
}
.mennyiseges.kiveszem{
    width: 100%;
}
.mennyiseges .ctnContainer{
    margin-right: 10px;
}
.termek{
    display: flex;
    align-items: center;
    padding: 10px;
}
.termek a{
    margin-left: 10px;
}
.kiveszem{
    margin-top: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 5px;
}
.kiveszem svg{
    height: 14px;
}
.kiveszem svg:hover{
    color: red;
}
.egysegar p,
.osszesen p{
    padding: 10px;
    font-size: 16px;
}
.cartTableContainer p{
    font-size: 16px;
}
.kosarImageContainer{
    margin-left: 0 !important; 
}
#feltetelek{
    margin-bottom: 10px;
}
#feltetelek input{
    margin-right: 10px;
}
#userASZF input{
    margin-right: 10px;
}

.checkItem{
    margin-bottom: 10px;
    margin-top: 20px;
    line-height: 1.8em;
}
.checkItem p{
    font-size: initial;
}

.kosarUres{
    text-align: center;
}
.product1SubForm form{
    display: flex;
    flex-wrap: wrap;
}
.subSelect{
    width: 100%;
    font-size: 16px;
}
.subSelect p{
    font-size: 16px;
}
.subSelect select{
    font-family: var(--font1);
    font-size: 16px;
    border: 1px solid var(--color2);
    padding: 10px;
    appearance: menulist;
    -webkit-appearance: menulist;
}
.ctnContainer{
    margin-right: 60px;
    font-weight: 600;
}
.product1SubForm #cnt{
    border-radius: 0;
    border: 1px solid var(--color2);
    text-align: center;
}
.plusMinus{
    display: flex;
    flex-direction: column;
}
.plusMinus div{
    border: 1px solid var(--color2);
    border-left: 0;
    width: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1;
    cursor: pointer;
    user-select: none;
}
.tovabbiTermekeink{
    margin-top: 70px;
}
.tovabbiTermekeink h2{
    font-size: 30px;
    font-family: var(--font1);
    font-weight: 400;
    color: #000;
}
.cimkekTitle{
    margin-top: 40px;
}
.cimkefelho{
    margin-bottom: 40px;
}
.cimkefelho a{
    color: #000;
    font-family: var(--font3);
    font-size: 18px;
}
.labelContainer, .labelContainer a{
    color: #000;
    font-family: var(--font3);
    font-size: 16px;
}
.labelContainer span{
    font-weight: bold;
}
.checkData{
    display: flex;
    justify-content: space-between;
    margin: 20px 0;
}
h2.checkHeader {
    font-size: 24px;
}
.cartBottomButtons{
    display: flex;
    justify-content: space-between;
}
.readyInfo p{
    font-size: 16px;
}
span.per {
    font-size: .6em;
}
.smallImages{
    display: flex;
    flex-direction: column;
    padding-right: 8px;
    margin-right: 8px;
    height: 565px;
    overflow-y: auto;
}
.smallImages .smallImage{
    margin-bottom: 20px;
    cursor: pointer;
}
@media screen and (max-width: 1370px){
    .prodcatContainer .catElem {
        width: 32%;
    }
    .webshopItems .productBlock {
        width: 32%;
        min-width: 32%;
    }
    .webshopItems .item {
        width: 32%;
    }
}
@media screen and (max-width: 770px){
    .prodcatContainer .catElem {
        width: 48%;
    }
    .webshopItems .productBlock {
        width: 48%;
        min-width: 48%;
    }
    .oldalKat, .filters1SearchContainer{
        width: 300px;
        margin-right: 0;
        width: 0;
        overflow: hidden;
        transition: width 300ms, padding 300ms;
        background: #fff;
        padding: 10px 0;
    }
    .filters1SearchContainer form{
        width: 300px;
        margin-right: 30px;
    }
    .prodcat1ListProducts{
        width: 100%;
        min-width: 100%;
    }
    .listPage{
        overflow: hidden;
    }
    .filterFormContainer{
        margin-right: 30px;
        padding: 10px;
        border: 1px solid #f0f0f0;
    }
    .filterFormContainer svg{
        display: initial;
        width: 20px;
        color: #1d9fad;
    }
    .filterFormContainer:hover .filters1SearchContainer{
        width: 300px;
        padding: 10px 10px;
    }
    .viewPage.productPage{
        max-width: 90%;
    }
    .viewPage.productPage .productImage{
        max-width: 200px;
    }
}
@media screen and (max-width: 600px){
    .ajanlottTermekek .productBlock h3{
        margin: 10px;
    }
    .ajanlottTermekek{
        padding: 10px;
        box-sizing: border-box;
    }
    .kosarUres{
        text-align: left;
    }
    .ajandekba{
        margin-top: 10px;
    }
    .mennyiseg p{
        padding: 10px;
    }
    .checkItem p{
        margin-bottom: 10px;
    }
    .orderForm form > div{
        width: 100%;
    }
    .cartBottomButtons{
        display: flex;
        flex-wrap: wrap;
    }
    .cartBottomButtons a,
    .cartBottomButtons input{
        width: 100%;
        margin-bottom: 10px;
    }
    .viewPage, .listPage{
        max-width: 100%;
        box-sizing: border-box;
        padding: 20px;
    }
    .cartTableHeader{
        display: none;
    }
    
    .viewPage.productPage .productImage{
        max-width: 100%;
    }
    .productDetails{
        margin-left: 0;
    }
    .webshopItems .productBlock {
        width: 99%;
        min-width: 99%;
    }
    .orderCartButtons{
        flex-direction: column;
    }
    .orderCartButtons a, .orderCartButtons input{
        margin-bottom: 10px;
    }
    .cartTableContainer{
        display: flex;
        flex-direction: column;
        padding: 0;
    }
    tr.cartTableItem {
        display: flex;
        flex-direction: column;
    }
    .kiveszem{
        display: inline-block;
        margin-top: 10px;
    }
    .egysegar p, .osszesen p{
        text-align: center;
    }
    .mennyiseges .mennyi{
        margin-bottom: 0;
    }
    .orderForm .info{
        margin-bottom: 10px;
    }
    .webshopItems .productBlock .price .button{
        margin-left: 10px;
    }
    .bottomDesc{
        color:#c1c1c1;
        overflow: hidden;
        white-space: nowrap; 
        text-overflow: ellipsis;
        margin-left: 10px;
    }
    .webshopItems .productBlock h3{
        /*margin: 10px;*/
    }
}